Basketball V1
Game Predictions
Get AI-powered predictions for basketball games
GET
/
predictions
Game Predictions
curl --request GET \
--url https://api.sportsapipro.com/v1/basketball/predictions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sportsapipro.com/v1/basketball/predictions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sportsapipro.com/v1/basketball/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Overview
Returns AI-powered predictions for basketball games, including predicted winners, scores, and confidence levels.Query Parameters
integer
required
Game ID to get predictions for
Code Examples
curl -X GET "https://api.sportsapipro.com/v1/basketball/predictions?gameId=12345" \
-H "x-api-key: YOUR_API_KEY"
const response = await fetch(
'https://api.sportsapipro.com/v1/basketball/predictions?gameId=12345',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
);
const { prediction } = await response.json();
import requests
response = requests.get(
'https://api.sportsapipro.com/v1/basketball/predictions',
params={'gameId': 12345},
headers={'x-api-key': 'YOUR_API_KEY'}
)
Response Structure
object
Game prediction data
Predictions are for informational purposes only and should not be the sole basis for betting decisions.
Last modified on June 29, 2026
Was this page helpful?
⌘I
Game Predictions
